/* ===== GLOBAL DEFAULTS & STYLE GROUPS ===== */
body {
  font-family: var(--font-family);
  font-size: var(--font-body);
  line-height: var(--lh-normal);
  color: var(--color-text);
  background-color: var(--color-bg);
  max-width: 65ch;
  margin: 0 auto;
  padding: var(--space-0);
}

/* default spacing */
p, h1, h2, .pre-title, .breadcrumbs, meta {
  margin-bottom: var(--space-0);
}

/* headings */
h1, h2, .pre-title {
  font-weight: bold;
}

h2, .pre-title {
  font-size: var(--font-h2);
  line-height: var(--lh-snug);
  display: block;
}

/* links */
a {
  color: var(--color-link);

}

a:hover {
  background-color: var(--color-link);
  color: #ffffff;
}


/* ===== PAGE ORDER ===== */

header {
  margin-top: var(--space-1);
  margin-bottom: var(--space-1);
}

/* logo & menu placeholder */

.breadcrumbs {
  margin-bottom: var(--space--2);
}

.pre-title {
  margin-bottom: var(--space--2);
}

h1 { 
  font-size: var(--font-h1);
  line-height: var(--lh-tight);
}

.intro {
  font-style: italic;
  margin-bottom: var(--space--2);
}

.meta {
  font-size: var(--font-meta);
  line-height: var(--lh-snug);
}

ul.permalinks {
  font-size: var(--font-h2);
  font-weight: bold;
  color: var(--color-link);
  line-height: var(--lh-loose);
  margin-bottom: var(--space-1);
  padding-bottom: var(--space-1);
  padding-left: 1.5rem;
  border-bottom: 3px dotted var(--color-bg-box);
}

/* h2 inherits everything */

article {
  margin-bottom: var(--space-2);
}

.update {
  margin-top: var(--space-1);
}

footer {
  padding-top: var(--space--1);
  border-top: 3px dotted var(--color-bg-box);
  font-size: smaller;
  text-align: center;
  margin-bottom: -1rem;
}